net.minecraftforge.client

## Class ForgeHooksClient

- java.lang.Object
- - net.minecraftforge.client.ForgeHooksClient

-     public class ForgeHooksClient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForgeHooksClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `createDisplay()`
    `static void` | `dispatchRenderLast(RenderGlobal context, float partialTicks)`
    `static String` | `fixDomain(String base, String complex)`
    `static ModelBiped` | `getArmorModel(EntityLivingBase entityLiving, ItemStack itemStack, int slotID, ModelBiped _default)`
    `static String` | `getArmorTexture(Entity entity, ItemStack armor, String _default, int slot, int layer, String type)` Deprecated.
    `static String` | `getArmorTexture(Entity entity, ItemStack armor, String _default, int slot, String type)`
    `static float` | `getOffsetFOV(EntityPlayerSP entity, float fov)`
    `static int` | `getSkyBlendColour(World world, int playerX, int playerZ)`
    `static boolean` | `onDrawBlockHighlight(RenderGlobal context, EntityPlayer player, MovingObjectPosition target, int subID, ItemStack currentItem, float partialTicks)`
    `static void` | `onTextureLoadPre(String texture)` This is added for Optifine's convenience.
    `static void` | `onTextureStitchedPost(TextureMap map)`
    `static void` | `onTextureStitchedPre(TextureMap map)`
    `static void` | `orientBedCamera(Minecraft mc, EntityLivingBase entity)`
    `static boolean` | `postMouseEvent()`
    `static void` | `renderEffectOverlay(TextureManager manager, RenderItem render)`
    `static boolean` | `renderEntityItem(EntityItem entity, ItemStack item, float bobing, float rotation, Random random, TextureManager engine, RenderBlocks renderBlocks)`
    `static void` | `renderEquippedItem(IItemRenderer.ItemRenderType type, IItemRenderer customRenderer, RenderBlocks renderBlocks, EntityLivingBase entity, ItemStack item)`
    `static boolean` | `renderInventoryItem(RenderBlocks renderBlocks, TextureManager engine, ItemStack item, boolean inColor, float zLevel, float x, float y)`
    `static void` | `setRenderPass(int pass)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForgeHooksClient

          public ForgeHooksClient()

  - ### Method Detail

    - #### getArmorTexture

          @Deprecated
          public static String getArmorTexture(Entity entity,
                                          ItemStack armor,
                                          String _default,
                                          int slot,
                                          int layer,
                                          String type)

      Deprecated.

    - #### getArmorTexture

          public static String getArmorTexture(Entity entity,
                               ItemStack armor,
                               String _default,
                               int slot,
                               String type)

    - #### renderEntityItem

          public static boolean renderEntityItem(EntityItem entity,
                                 ItemStack item,
                                 float bobing,
                                 float rotation,
                                 Random random,
                                 TextureManager engine,
                                 RenderBlocks renderBlocks)

    - #### renderInventoryItem

          public static boolean renderInventoryItem(RenderBlocks renderBlocks,
                                    TextureManager engine,
                                    ItemStack item,
                                    boolean inColor,
                                    float zLevel,
                                    float x,
                                    float y)

    - #### renderEffectOverlay

          public static void renderEffectOverlay(TextureManager manager,
                                 RenderItem render)

    - #### renderEquippedItem

          public static void renderEquippedItem(IItemRenderer.ItemRenderType type,
                                IItemRenderer customRenderer,
                                RenderBlocks renderBlocks,
                                EntityLivingBase entity,
                                ItemStack item)

    - #### orientBedCamera

          public static void orientBedCamera(Minecraft mc,
                             EntityLivingBase entity)

    - #### onDrawBlockHighlight

          public static boolean onDrawBlockHighlight(RenderGlobal context,
                                     EntityPlayer player,
                                     MovingObjectPosition target,
                                     int subID,
                                     ItemStack currentItem,
                                     float partialTicks)

    - #### dispatchRenderLast

          public static void dispatchRenderLast(RenderGlobal context,
                                float partialTicks)

    - #### onTextureStitchedPre

          public static void onTextureStitchedPre(TextureMap map)

    - #### onTextureStitchedPost

          public static void onTextureStitchedPost(TextureMap map)

    - #### onTextureLoadPre

          public static void onTextureLoadPre(String texture)

      This is added for Optifine's convenience. And to explode if a ModMaker is developing.
      Parameters:
        `texture` -

    - #### setRenderPass

          public static void setRenderPass(int pass)

    - #### getArmorModel

          public static ModelBiped getArmorModel(EntityLivingBase entityLiving,
                                 ItemStack itemStack,
                                 int slotID,
                                 ModelBiped _default)

    - #### createDisplay

          public static void createDisplay()
                                    throws org.lwjgl.LWJGLException

      Throws:
        `org.lwjgl.LWJGLException`

    - #### fixDomain

          public static String fixDomain(String base,
                         String complex)

    - #### postMouseEvent

          public static boolean postMouseEvent()

    - #### getOffsetFOV

          public static float getOffsetFOV(EntityPlayerSP entity,
                           float fov)

    - #### getSkyBlendColour

          public static int getSkyBlendColour(World world,
                              int playerX,
                              int playerZ)